For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate payment page
          • GETGet payment page
          • GETGet all page details
          • PUTUpdate payment page
          • DELDelete payment page
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay In endpointsHosted payment pages

Get all page details

|View as Markdown|Open in Claude|
GET
/Paypoint/load/:entry/:subdomain
GET
/api/Paypoint/load/:entry/:subdomain
$curl https://api-sandbox.payabli.com/api/Paypoint/load/8cfec329267/pay-your-fees-1 \
> -H "requestToken: <apiKey>"
1{
2 "AdditionalData": {
3 "key1": {
4 "key": "value"
5 },
6 "key2": {
7 "key": "value"
8 },
9 "key3": {
10 "key": "value"
11 }
12 },
13 "credentials": [
14 {
15 "accountId": "accountId",
16 "cfeeFix": 1.1,
17 "cfeeFloat": 1.1,
18 "cfeeMax": 1.1,
19 "cfeeMin": 1.1,
20 "maxticket": 1.1,
21 "minticket": 1.1,
22 "mode": 1,
23 "referenceId": 1000000,
24 "service": "service"
25 }
26 ],
27 "lastAccess": "2022-06-30T15:01:00Z",
28 "pageContent": {
29 "amount": {
30 "categories": [
31 {}
32 ],
33 "enabled": true,
34 "order": 1
35 },
36 "autopay": {
37 "enabled": true,
38 "frequencySelected": "frequencySelected",
39 "header": "header",
40 "order": 1,
41 "startDate": "1, 5-10"
42 },
43 "contactUs": {
44 "emailLabel": "emailLabel",
45 "enabled": true,
46 "header": "header",
47 "order": 1,
48 "paymentIcons": true,
49 "phoneLabel": "phoneLabel"
50 },
51 "entry": "entry",
52 "invoices": {
53 "enabled": true,
54 "invoiceLink": {
55 "enabled": true
56 },
57 "order": 1,
58 "viewInvoiceDetails": {
59 "enabled": true
60 }
61 },
62 "logo": {
63 "enabled": true,
64 "order": 1
65 },
66 "messageBeforePaying": {
67 "enabled": true,
68 "label": "label",
69 "order": 1
70 },
71 "name": "name",
72 "notes": {
73 "enabled": true,
74 "header": "header",
75 "order": 1,
76 "placeholder": "placeholder",
77 "value": "value"
78 },
79 "page": {
80 "description": "description",
81 "enabled": true,
82 "header": "header",
83 "order": 1
84 },
85 "paymentButton": {
86 "enabled": true,
87 "label": "label",
88 "order": 1
89 },
90 "paymentMethods": {
91 "allMethodsChecked": true,
92 "enabled": true,
93 "header": "header",
94 "methods": {
95 "amex": true,
96 "applePay": true,
97 "discover": false,
98 "eCheck": false,
99 "mastercard": true,
100 "visa": true
101 },
102 "order": 1
103 },
104 "payor": {
105 "enabled": true,
106 "fields": [
107 {}
108 ],
109 "header": "header",
110 "order": 1
111 },
112 "review": {
113 "enabled": true,
114 "header": "header",
115 "order": 1
116 },
117 "subdomain": "mypage-1"
118 },
119 "pageIdentifier": "null",
120 "pageSettings": {
121 "color": "color",
122 "customCssUrl": "customCssUrl",
123 "language": "language",
124 "pageLogo": {
125 "fContent": "TXkgdGVzdCBmaWxlHJ==...",
126 "filename": "my-doc.pdf",
127 "ftype": "pdf",
128 "furl": "https://mysite.com/my-doc.pdf"
129 },
130 "paymentButton": {
131 "label": "label",
132 "size": "sm"
133 },
134 "redirectAfterApprove": true,
135 "redirectAfterApproveUrl": "redirectAfterApproveUrl"
136 },
137 "published": 1,
138 "receiptContent": {
139 "amount": {
140 "enabled": true,
141 "order": 1
142 },
143 "contactUs": {
144 "enabled": true,
145 "order": 1
146 },
147 "details": {
148 "enabled": true,
149 "order": 1
150 },
151 "logo": {
152 "enabled": true,
153 "order": 1
154 },
155 "messageBeforeButton": {
156 "enabled": true,
157 "label": "label",
158 "order": 1
159 },
160 "page": {
161 "description": "description",
162 "enabled": true,
163 "header": "header",
164 "order": 1
165 },
166 "paymentButton": {
167 "enabled": true,
168 "label": "label",
169 "order": 1
170 },
171 "paymentInformation": {
172 "enabled": true,
173 "order": 1
174 },
175 "settings": {
176 "enabled": true,
177 "fields": [
178 {}
179 ],
180 "order": 1,
181 "sendAuto": true,
182 "sendManual": true
183 }
184 },
185 "subdomain": "mypage-1",
186 "totalAmount": 1.1,
187 "validationCode": "validationCode"
188}

Loads all of a payment page’s details including pageIdentifier and validationCode. This endpoint requires an application API token.

Was this page helpful?
Previous

Get payment page

Next

Update payment page

Authentication

requestTokenstring
API Key authentication via header

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

subdomainstringRequired

Payment page identifier. The subdomain value is the last part of the payment page URL. For example, in https://paypages-sandbox.payabli.com/513823dc10/pay-your-fees-1, the subdomain is pay-your-fees-1.

Response

Success
AdditionalDatamap from strings to maps from strings to any

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using custom identifiers, pass those in this object. Max length for a value is 100 characters. Example usage:

1{
2 "additionalData": {
3 "key1": "value1",
4 "key2": "value2",
5 "key3": "value3"
6 }
7}
credentialslist of objects
Array of credential objects with active services for the page
lastAccessdatetime
Timestamp of last access to page structure
pageContentobject
Sections of page
pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
pageSettingsobject
Settings of page
publishedinteger

Flag indicating if page is active to accept payments. 0 for false, 1 for true.

receiptContentobject
Sections of payment receipt
subdomainstring<=50 characters
Page identifier. Must be unique in platform.
totalAmountdouble
Total amount to pay in this page
validationCodestring
Base64 encoded image of CAPTCHA associated to this page load

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error